<?php /* _\|/_
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso-Module "Guestbook"                                           |
+------------------------------------------------------------------------+
| Copyright (c) Matthias Vorwergk                                        |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso.de                                             |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Mattias Vorwergk <matthias.vorwergk@web.de>                   |
+------------------------------------------------------------------------+
*/

if (!defined('CPO')) exit;

global $content, $key, $parameters, $replacement,
    // Die folgenden Werte sind fr die Validierung
    $gb_ok2save, $phdata, $_name, $data, $gb_settings, $nextaction, $message, $mailData, $checked_fields,
    $abbc_smileys, $abbc_cfg, $directory, $db_quote_nr, $dontReleaseBadwords;

$field_name  = htmlspecialchars($content[$key]['input_name']);
$field_value = htmlspecialchars($content[$key]['input_value']);

if (array_key_exists('abbc', $parameters) && isset($db_quote_nr) && !empty($content[$key]['quote'])) {
    $field_value = $content[$key]['quote'];
}
    
//Fr Textarea-Felder
if (!empty($parameters['cols'])) {
    $input_cols = ' cols="'.htmlspecialchars($parameters['cols']).'"';
} else {
    $input_cols = ' cols="'.htmlspecialchars($content[$key]['textarea_cols']).'"';
}
    
if (!empty($parameters['rows'])) {
    $input_rows = ' rows="'.htmlspecialchars($parameters['rows']).'"';
} else {
    $input_rows = ' rows="'.htmlspecialchars($content[$key]['textarea_rows']).'"';
}

//Fr Input-Felder
if (!empty($parameters['size'])) {
    $input_size = ' size="'.htmlspecialchars($parameters['size']).'"';
} else $input_size = '';

if (!empty($parameters['maxlength'])) {
    $input_maxlength = ' maxlength="'.htmlspecialchars($parameters['maxlength']).'"';
} else $input_maxlength = '';

//Fr Input- und Textarea-Felder
if (!empty($parameters['tabindex'])) {
    $input_tabindex = ' tabindex="'.htmlspecialchars($parameters['tabindex']).'"';
} else $input_tabindex = '';

if (!empty($parameters['accesskey'])) {
    $input_accesskey = ' accesskey="'.htmlspecialchars($parameters['accesskey']).'"';
} else $input_accesskey = '';

if (!empty($parameters['class'])) {
    $input_class = ' class="'.htmlspecialchars($parameters['class']).'"';
} else $input_class = '';

//Wenn es mehrere type-Parameter gibt, dann den letzten nehmen.
if (is_array($parameters['type'])) {
	$parameters['type'] = strtolower($parameters['type'][(count($parameters['type'])-1)]);
//Wenn type nicht vorhanden ist, dann voreinstellung nehmen, welche sich nach den Platzhaltereinstellungen richtet.
} elseif (!array_key_exists('type', $parameters)) {
	$parameters['type'] = $content[$key]['input_type'];
}
//abbc nur in Verbindung mit textarea zulassen
if (array_key_exists('abbc', $parameters)) {
	$parameters['type'] = 'textarea';
}

//Wenn values oder value leer ist, wird jeweils der entgegengesetzte Wert genommen
if (empty($parameters['values']) && !empty($parameters['value'])) {
    $parameters['values'] = $parameters['value'];
} elseif (empty($parameters['value']) && !empty($parameters['values'])) {
    $parameters['value'] = $parameters['values'];
}	

if (!empty($content[$key]['user_data']) && $content[$key]['input_type']=='hidden') { //Dies lasse ich mir nicht durch Parameter berschreiben
    //Wenn ein user eingeloggt ist, dann kann er keinen Namen (und Email) eingeben
    $_t = '<span'.$input_class.'>'.htmlspecialchars($content[$key]['user_data']).'</span>'
        .'<input type="hidden"name="'.$field_name.'" value="'.htmlspecialchars($content[$key]['user_data']).'" />';
} elseif (strtolower($parameters['type'])=='textarea') { //<textarea ...
    $_t =  '<textarea name="'.htmlspecialchars($field_name).'"'
        .$input_cols.$input_rows.$input_tabindex.$input_accesskey.$input_class
        .'>'.$field_value.'</textarea>';
} elseif (strtolower($parameters['type'])=='text') { //<input ...
    $_t =  '<input type="text"'.$input_size.$input_maxlength.$input_tabindex.$input_accesskey.$input_class
        .'name="'.$field_name.'" value="'.$field_value.'" />';
} elseif (strtolower($parameters['type'])=="radio") {
    $checked = ($field_value==$parameters['value']) ? ' checked="checked"' : '';
	$_t = '<input type="radio" name="'.$field_name.'" value="'.$parameters['value'].'" id="'.$parameters['value'].'"'
	   .$input_tabindex.$input_accesskey.$input_class.$checked.' />'
	   .'<label for="'.$parameters['value'].'"'.$input_class.'>'.($parameters['label'] ? $parameters['label'] : $parameters['value']).'</label>';
} elseif (strtolower($parameters['type'])=="checkbox")  {
    $checkbox_value=(($parameters['value']) ? $parameters['value'] : $_name);
	$checked = ($field_value==$checkbox_value) ? ' checked="checked"' : '';
	$_t = '<input type="checkbox" name="'.$field_name.'" id="'.$_name.'" value="'.$checkbox_value.'"'
	   .$input_tabindex.$input_accesskey.$input_class.$checked.' />'
	   .'<label for="'.$_name.'"'.$input_class.'>'.($parameters['label'] ? $parameters['label'] : $checkbox_value).'</label>';
} elseif (strtolower($parameters['type'])=="select")  {
    $values = explode(",",$parameters['values']);
	$_t = '<select name="'.$field_name.'"'.$input_size.$input_tabindex.$input_accesskey.$input_class.'>';
	foreach($values as $_v)
	{
		$selected = ($field_value==$_v) ? ' selected="selected"' : '';
		$_t .= '<option value="'.$_v.'"'.$selected.'>'.$_v.'</option>';
	}
	$_t .= '</select>';
}

if (array_key_exists('abbc', $parameters)) {
    $script = '<script type="text/javascript" src="../'.$directory.'/_include/abbc/insert_abbc.js"></script>';
    $fname = htmlspecialchars($field_name);
    
    $spath = $abbc_cfg['smilepath'];
    $smilies = "\n";
    foreach ($abbc_smileys as $v) {
        $smilies .= ' <a href="javascript:insert(\' '.$v['code'].' \', \'\', \''.$fname.'\');"><img src="'.$spath.$v['img'].'" border="0" alt="'.$v['code'].'" /></a>';
    }
    
    $b = ' <a href="javascript:insert(\'[b]\', \'[/b]\', \''.$fname.'\');" title="'.__('bold text: [b]text[/b] (alt+b)').'" accesskey="b"><b>b</b></a>&nbsp;';
    $i = ' <a href="javascript:insert(\'[i]\', \'[/i]\', \''.$fname.'\');" title="'.__('italic text: [i]text[/i] (alt+i)').'" accesskey="i"><i>i</i></a>&nbsp;';
    $u = ' <a href="javascript:insert(\'[u]\', \'[/u]\', \''.$fname.'\');" title="'.__('underlined text: [u]text[/u] (alt+u)').'" accesskey="u"><u>u</u></a>&nbsp;';
    $s = ' <a href="javascript:insert(\'[s]\', \'[/s]\', \''.$fname.'\');" title="'.__('canceled text: [s]text[/s] (alt+s)').'" accesskey="s"><s>s</s></a>&nbsp;';
    $o = ' <a href="javascript:insert(\'[o]\', \'[/o]\', \''.$fname.'\');" title="'.__('over coated text: [o]text[/o] (alt+o)').'" accesskey="o"><span style="border-top: 1px solid black; margin-top: 1px;">o</span></a>&nbsp;';
    $m = ' <a href="javascript:insert(\'[m]\', \'[/m]\', \''.$fname.'\');" title="'.__('text with fixed width: [m]text[/m] (alt+m)').'" accesskey="m"><tt>m</tt></a>&nbsp;';
    $quote = "\n".' <a href="javascript:insert(\'[quote]\', \'[/quote]\', \''.$fname.'\');" title="'.__('quoted text: [quote]text[/quote] (alt+q)').'" accesskey="q">quote</a>&nbsp;';
    $code = "\n".' <a href="javascript:insert(\'[code]\', \'[/code]\', \''.$fname.'\');" title="'.__('show code: [code]code[/code] (alt+c)').'" accesskey="c">code</a>&nbsp;';
    $list = "\n".' <a href="javascript:insert(\'[list]\', \'[/list]\', \''.$fname.'\');" title="'.__('list: [list]list[/list] (alt+l)').'" accesskey="l">list</a>&nbsp;';
    $listp = "\n".' <a href="javascript:insert(\'[*]\', \'\', \''.$fname.'\');" title="'.__('list-point: [*]text (alt+p)').'" accesskey="p">'.__('list-point').'</a>&nbsp;';
    $line = "\n".' <a href="javascript:insert(\'[line]\', \'\', \''.$fname.'\');" title="'.__('horizontal line: [line] or [line=red]').'">line</a>&nbsp;';
    $url = "\n".' <a href="javascript:insert(\'[url]\', \'[/url]\', \''.$fname.'\');" title="'.__('insert URL: [url]http://URL[/url] or [url=http://url]description[/url] (alt+w)').'" accesskey="w">url</a>&nbsp;';
    $mail = "\n".' <a href="javascript:insert(\'[mail]\', \'[/mail]\', \''.$fname.'\');" title="'.__('insert mail: [mail]mailaddress[/mail] or [mail=name@domain.ltd]name[/mail]').'">mail</a>&nbsp;';
    $img = "\n".' <a href="javascript:insert(\'[img]\', \'[/img]\', \''.$fname.'\');" title="'.__('insert image: [img]image-URL[/img] or [img=align]image-URL[/img]').'">img</a>&nbsp;';
    $br = "\n".' <a href="javascript:insert(\'[br]\', \'\', \''.$fname.'\');" title="'.__('insert line break: [br]text').'">br</a>&nbsp;';
    $sup = "\n".' <a href="javascript:insert(\'[sup]\', \'[/sup]\', \''.$fname.'\');" title="'.__('superscript: [sup]text[/sup]').'">sup</a>&nbsp;';
    $sub = "\n".' <a href="javascript:insert(\'[sub]\', \'[/sub]\', \''.$fname.'\');" title="'.__('subscript: [sub]text[/sub]').'">sub</a>&nbsp;';
    $raute = "\n".' <a href="javascript:insert(\'[#]\', \'[/#]\', \''.$fname.'\');" title="'.__('don\'t interpret BB-tags: [#]BB-tags[/#]').'">#</a>&nbsp;';
    
    $size = "\n".'<select name="schriftgroesse" title="'.__('font-size: [size=x-small]small text[/size] tip: You can also use size=12').'" onchange="insert(\'[size=\' + this.form.schriftgroesse.options[this.form.schriftgroesse.selectedIndex].value + \']\', \'[/size]\', \''.$fname.'\');" >'."\n"
        .'<option value="7">'.__('tiny').'</option>'."\n"
        .'<option value="9">'.__('small').'</option>'."\n"
        .'<option value="12" selected="selected">'.__('normal').'</option>'."\n"
        .'<option value="18">'.__('big').'</option>'."\n"
        .'<option value="24">'.__('huge').'</option>'."\n"
        .'</select>';
        
    $color = "\n".'<select name="schriftfarbe" title="'.__('font-color: [color=red]text[/color] tip: You can also use color=#FF0000').'" onchange="insert(\'[color=\' + this.form.schriftfarbe.options[this.form.schriftfarbe.selectedIndex].value + \']\', \'[/color]\', \''.$fname.'\');">'."\n"
        .'<option style="color: black;" value="#000000">'.__('standard').'</option>'."\n"
        .'<option style="color: darkred;" value="darkred">'.__('darkred').'</option>'."\n"
        .'<option style="color: red;" value="red">'.__('red').'</option>'."\n"
        .'<option style="color: orange;" value="orange">'.__('orange').'</option>'."\n"
        .'<option style="color: brown;" value="brown">'.__('brown').'</option>'."\n"
        .'<option style="color: yellow;" value="yellow">'.__('yellow').'</option>'."\n"
        .'<option style="color: green;" value="green">'.__('green').'</option>'."\n"
        .'<option style="color: olive;" value="olive">'.__('olive').'</option>'."\n"
        .'<option style="color: cyan;" value="cyan">'.__('cyan').'</option>'."\n"
        .'<option style="color: blue;" value="blue">'.__('blue').'</option>'."\n"
        .'<option style="color: darkblue;" value="darkblue">'.__('darkblue').'</option>'."\n"
        .'<option style="color: indigo;" value="indigo">'.__('indigo').'</option>'."\n"
        .'<option style="color: violet;" value="violet">'.__('violet').'</option>'."\n"
        .'<option style="color: white;" value="white">'.__('white').'</option>'."\n"
        .'<option style="color: black;" value="black">'.__('black').'</option>'."\n"
        .'</select>';
    
    $mark = "\n".'<select name="hintergrundfarbe" title="'.__('background-color: [mark=red]text[/mark] tip: you can also use color=#FF0000').'" onchange="insert(\'[mark=\' + this.form.hintergrundfarbe.options[this.form.hintergrundfarbe.selectedIndex].value + \']\', \'[/mark]\', \''.$fname.'\');">'."\n"
        .'<option style="background-color: black;" value="#000000">'.__('standard').'</option>'."\n"
        .'<option style="background-color: darkred;" value="darkred">'.__('darkred').'</option>'."\n"
        .'<option style="background-color: red;" value="red">'.__('red').'</option>'."\n"
        .'<option style="background-color: orange;" value="orange">'.__('orange').'</option>'."\n"
        .'<option style="background-color: brown;" value="brown">'.__('brown').'</option>'."\n"
        .'<option style="background-color: yellow;" value="yellow">'.__('yellow').'</option>'."\n"
        .'<option style="background-color: green;" value="green">'.__('green').'</option>'."\n"
        .'<option style="background-color: olive;" value="olive">'.__('olive').'</option>'."\n"
        .'<option style="background-color: cyan;" value="cyan">'.__('cyan').'</option>'."\n"
        .'<option style="background-color: blue;" value="blue">'.__('blue').'</option>'."\n"
        .'<option style="background-color: darkblue;" value="darkblue">'.__('darkblue').'</option>'."\n"
        .'<option style="background-color: indigo;" value="indigo">'.__('indigo').'</option>'."\n"
        .'<option style="background-color: violet;" value="violet">'.__('violet').'</option>'."\n"
        .'<option style="background-color: white;" value="white">'.__('white').'</option>'."\n"
        .'<option style="background-color: black;" value="black">'.__('black').'</option>'."\n"
        .'</select>';
        
    $font = "\n".'<select name="schriftart" title="'.__('font: [font=Times New Roman]text[/font]').'" onchange="insert(\'[font=\' + this.form.schriftart.options[this.form.schriftart.selectedIndex].value + \']\', \'[/font]\', \''.$fname.'\');">'."\n"
        .'<option class="font-family: Times New Roman, Georgia, Times, serif;" value="Times New Roman">Times New Roman</option>'."\n"
        .'<option class="font-family: Arial, Helvetica, Geneva, Swiss, SunSans-Regular, sans-serif;" value="Arial">Arial</option>'."\n"
        .'<option class="font-family: Courier New, Courier, Monaco, monospace;" value="Courier New">Courier New</option>'."\n"
        .'</select>';
        
    $show_schrift = ' <a href="javascript:zeige(\'schrift\');" title="'.__('show/hide more characters').'">'.__('more characters').'</a>&nbsp;';
    $show_smilies = ' <a href="javascript:zeige(\'smilies\');" title="'.__('show/hide smilies').'">'.__('smilies').'</a>&nbsp;';
    $textarea = $_t;
    
    if (strlen($parameters['abbc'])==1) { 
        $_t = $script.'<div'.$input_class.'>'.$b.$i.$u.$s.$o.$m.$line.$sup.$sub.$url.$img.$br.$mail.$raute.$quote.$code.$list.$listp.$show_schrift.$show_smilies.'</div>'
            .'<div id="schrift" style="display: none;">'.__(' color: ').$color.__(' background: ').$mark.__(' size: ').$size.__(' font: ').$font.'</div>'
            .'<div id="smilies" style="display: none;">'.$smilies.'</div>'.$textarea;
    } elseif (strlen($parameters['abbc'])>1 && strtolower($parameters['abbc'])=='none') {
        $_t = $script.$textarea;
    } else {
        $params = explode(',', $parameters['abbc']);
        
        $_t = $script."\n"
            .'<div'.$input_class.'>';        
        
        foreach ($params as $param) {
            switch (strtolower(trim($param))) {
            case 'b':
               $_t .= $b;
                break;
            case 'u';
                $_t .= $u;
                break;
            case 'i':
                $_t .= $i;
                break;
            case 's';
                $_t .= $s;
                break;
            case 'o':
                $_t .= $o;
                break;
            case 'm';
                $_t .= $m;
                break;
            case 'line';
                $_t .= $line;
                break;
            case 'url';
                $_t .= $url;
                break;
            case 'sup';
                $_t .= $sup;
                break;
            case 'sub';
                $_t .= $sub;
                break;
            case 'img';
                $_t .= $img;
                break;
            case 'br';
                $_t .= $br;
                break;
            case 'mail';
                $_t .= $mail;
                break;
            case 'quote':
            case 'zitat';
                $_t .= $quote;
                break;
            case 'code':
                $_t .= $code;
                break;
            case 'list':
            case 'liste':
                $_t .= $list;
                break;
            case 'listp':
                $_t .= $listp;
                break;
            case '#':
                $_t .= $raute;
                break;
            case 'smilie':
            case 'smilies':
                $_t .= $show_smilies;
                if (empty($schrift)) {
                	$smilies_first = true;
                }
                break;
            case 'size':
                if (empty($schrift)) $_t .= $show_schrift;
                $schrift .= ___(' size: ').$size;
                break;
            case 'color':
                if (empty($schrift)) $_t .= $show_schrift;
                $schrift .= ___(' color: ').$color;
                break;
            case 'mark':
                if (empty($schrift)) $_t .= $show_schrift;
                $schrift .= ___(' background: ').$mark;
                break;
            case 'font':
                if (empty($schrift)) $_t .= $show_schrift;
                $schrift .= ___(' font: ').$font;
                break;
            case '<br>':
                $_t .= '<br />';
                break;
            default:
                //Text in Anfhrungszeichen wird direkt ausgegeben
                if (substr(trim($param),0 , 1)=='"' && substr(trim($param),-1 )=='"') {
                	$_t .= substr(trim($param),1 , -1);
                } else {
                    $_t .= ___('<!-- this template-parameter: ').$param.__(' of "abbc" has no equivalent. -->');
                }
                break;
            }
        }
        $_t .= '</div>'."\n";
        if ((in_array('smilies', $params) || in_array('smilie', $params)) && isset($smilies_first)) {
            $_t .= '<div id="smilies" style="display: none;">'.$smilies.'</div>'."\n";
        }
        if (!empty($schrift)) {
            $_t .= '<div id="schrift" style="display: none;">'.$schrift.'</div>'."\n";
        }
        if ((in_array('smilies', $params) || in_array('smilie', $params)) && !isset($smilies_first)) {
            $_t .= '<div id="smilies" style="display: none;">'.$smilies.'</div>'."\n";
        }
        $_t .= $textarea;
    }
}


$replacement = $_t;

//berprfung von Pflichtfeldern und Validierung der Werte
if ($nextaction=='save_article' && !array_key_exists($key, $checked_fields)) {
    //Meldung aus den Parametern oder Platzhaltereinstellungen oder Moduleinstellungen oder einen Standard-Text nehmen
    if (array_key_exists('needed', $parameters) && strlen($parameters['needed'])!=1) {
        $empty_field_message = $parameters['needed'];
    } elseif (array_key_exists('required', $parameters) && strlen($parameters['required'])!=1) {
        $empty_field_message = $parameters['required'];
    } elseif (!empty($phdata[$_name]['label'])) {
    	$empty_field_message = $phdata[$_name]['label'];
    } else {
        $empty_field_message = sprintf(__('Please write something in the field %s!'), htmlspecialchars(ucfirst($_name)));
    }
    
    //Inhalt der Platzhalter in eine Variable schreiben, egal um welche Art von Daten es sich handelt.
    if ($content[$key]['data_name']=='content') {
        $field_data = $data['content'][$_name.' (text)']['text'];
        $field_name = ucfirst($_name);
    } else {
        $field_data = $data[$content[$key]['data_name']];
        $field_name = ucfirst($content[$key]['data_name']);
    }

    //Fehlermeldung bei leeren erforderlichen Feldern ausgeben
    if ((array_key_exists('required', $parameters) || array_key_exists('needed', $parameters)) && empty($field_data)) {
        $message[] = $empty_field_message;
        $gb_ok2save = false;
        $checked_fields[$key] = $_name; //mehrfache validierung eines Elements verhindern
    }
    
    //Fehlermeldung bei nicht korrekter E-Mail
    if (array_key_exists('mailcheck', $parameters) && !check_email_address($field_data) && !empty($field_data)) {
        $message[] = (($parameters['mailcheck']==1) ? ___('Your given mailadress is not correct!') : $parameters['mailcheck']);
        $gb_ok2save = false;
        $checked_fields[$key] = $_name; //mehrfache validierung eines Elements verhindern
    }
    
    //Badwords herausfiltern
    if (array_key_exists('badword', $parameters)) $parameters['badwords'] = $parameters['badword'];
    if (array_key_exists('badwords', $parameters)) {
        $badwords = str_replace(',', ' ', $gb_settings['badwords']);
        $badwords = explode(' ', $badwords);
        
        if ($gb_settings['releaseBadwordArticles'] || empty($gb_settings['notReleased_badwordMessage'])) {
            foreach ($badwords as $badword) {
                $field_data = str_replace($badword, $gb_settings['badwords_replace'], $field_data);
                if ($parameters['badwords']=='kleingro' && strlen($parameters['badwords'])>'1') {
                    //Mit kleinen Suchwrtern suchen
                    $badword = strtolower($badword);
                    $field_data = str_replace($badword, $gb_settings['badwords_replace'], $field_data);
                    //Mit Suchwrtern suche, wo der Erste Buchstage Gro ist
                    $badword = ucfirst($badword);
                    $field_data = str_replace($badword, $gb_settings['badwords_replace'], $field_data);
                    //Mit GROEN Suchwrtern suchen
                    $badword = strtoupper($badword);
                    $field_data = str_replace($badword, $gb_settings['badwords_replace'], $field_data);
                }
            }
            //Bearbeiteten Inhalt zurck in den $data-Array schreiben
            if ($content[$key]['data_name']=='content') {
                $data['content'][$_name.' (text)']['text'] = $field_data;
            } else {
                $data[$content[$key]['data_name']] = $field_data;
            }
        } else {
            $dontReleaseBadwords = false;
            $field_data_temp = '  '.$field_data.'  ';
            foreach ($badwords as $badword) {
                if (strpos($field_data_temp, $badword)) {
                	$dontReleaseBadwords = true;
                } elseif (stristr($field_data_temp, $badword) && ($parameters['badwords']=='kleingro' || $parameters['badwords']=='kleingross') && strlen($parameters['badwords'])>'1') {
                    $dontReleaseBadwords = true;
                }
            }
        }
    }

    //Mailtext zusammen bauen
   $mailData[$field_name] = $field_data;
}
    
?>
